/**
 * This file is in the public domain, furnished "as is", without technical
 * support, and with no warranty, express or implied, as to its usefulness for
 * any purpose.
 *
 * Written by Justin James <justin.aj@hotmail.com>
 */

#if !defined _EXAMPLE_H_HEADER
#define _EXAMPLE_H_HEADER

#include "Plugin.h"
#include "IRC_Command.h"

class ExamplePlugin : public Jupiter::Plugin
{
public:
	void OnConnect(Jupiter::IRC::Client *server);
	const char *getName() { return "ExamplePlugin"; }
};

// Example IRC Command Declaration
GENERIC_IRC_COMMAND(ExampleIRCCommand)

#endif // _EXAMPLE_H_HEADER